Bug 1795479 (CVE-2019-10747) - CVE-2019-10747 nodejs-set-value: prototype pollution in function set-value
Summary: CVE-2019-10747 nodejs-set-value: prototype pollution in function set-value
Keywords:
Status: NEW
Alias: CVE-2019-10747
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1795480 1795850 1795851 1795852 1795853 1795854 1803246 1803247 1803248 1803249
Blocks: 1795481
TreeView+ depends on / blocked
 
Reported: 2020-01-28 04:59 UTC by Dhananjay Arunesh
Modified: 2020-08-21 21:32 UTC (History)
16 users (show)

Fixed In Version: nodejs-set-value 3.0.1, nodejs-set-value 2.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Dhananjay Arunesh 2020-01-28 04:59:18 UTC
A vulnerability was found in NOdejs set-value, where set-value is vulnerable to Prototype Pollution in versions lower than 3.0.1. The function mixin-deep could be tricked into adding or modifying properties of Object.prototype using any of the constructor, prototype and _proto_ payloads.

Reference:
https://snyk.io/vuln/SNYK-JS-SETVALUE-450213
https://lists.apache.org/thread.html/b46f35559c4a97cf74d2dd7fe5a48f8abf2ff37f879083920af9b292@%3Cdev.drat.apache.org%3E

Comment 1 Dhananjay Arunesh 2020-01-28 05:00:22 UTC
Created nodejs-set-value tracking bugs for this issue:

Affects: fedora-all [bug 1795480]

Comment 3 Jason Shepherd 2020-01-29 02:27:43 UTC
Red Hat Quay 3.2 uses nodejs-set-value 2.0.1 which has a fix for this vulnerability.

Comment 9 Cedric Buissart 2020-02-25 09:10:18 UTC
Statement:

While OpenShift Container Platform (OCP) contains the affected nodejs-set-value code, it's added as a dependency of Kibana 5. Similar issue about prototype pollution [1] have been fixed, but no known attack vector was found, so we're rating this issue as Low for OCP. 

In Red Hat Software Collections and Red Hat Enterprise Linux 8, nodejs-set-value is bundled into nodejs-nodemon, and is not meant to be accessed outside of that package. Within nodemon, this flaw is rated with a Low severity.

[1] CVE-2019-10744 https://www.elastic.co/community/security


Note You need to log in before you can comment on or make changes to this bug.